const Http = new XMLHttpRequest();

function increseCounter(type) {
    type = "counter_" + type;
    let url = `/counter/${type}`;

    Http.open("POST", url);
    Http.send();

    Http.onload = (e) => {
        // console.log(Http.responseText)
        updateCount(JSON.parse(Http.responseText));
    }

}
function getCounters() {
    let url = `/counter`;
    Http.open("GET", url);
    Http.send();

    Http.onload = (e) => {
        var response = JSON.parse(Http.responseText)
        console.log(response)
        updateCount(response);
    }
}
function updateCount(response) {
    document.getElementById("counter-useless").innerHTML = response.counter_useless
    document.getElementById("counter-unnecessary").innerHTML = response.counter_unnecessary
    document.getElementById("counter-pointless").innerHTML = response.counter_pointless
}
function resetCounters() {
    let url = `/counter/`;

    Http.open("DELETE", url);
    Http.send();

    Http.onload = (e) => {
        // console.log(Http.responseText)
        updateCount(JSON.parse(Http.responseText));
    }
}

document.getElementById("useless").addEventListener("click", (event) => {
    increseCounter("useless")
})
document.getElementById("unnecessary").addEventListener("click", (event) => {
    increseCounter("unnecessary")
})
document.getElementById("pointless").addEventListener("click", (event) => {
    increseCounter("pointless")
})
document.getElementById("reset-counters").addEventListener("click", (event) => {
    resetCounters();
})

document.addEventListener("DOMContentLoaded", (event) => {
    getCounters();
})